Name:           jcip-annotations
Version:        1
Release:        25.20060626
Summary:        Java Concurrency in Practice
License:        CC-BY
URL:            http://www.jcip.net/
Source0:        http://jcip.net.s3-website-us-east-1.amazonaws.com/%{name}-src.jar
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/net/jcip/%{name}/1.0/%{name}-1.0.pom
BuildArch:      noarch

BuildRequires:  javapackages-local, java-devel >= 1.5.0, jpackage-utils
Requires:       java-headless >= 1.5.0, jpackage-utils
Provides:       %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:      %{name}-javadoc

%description
This package provides class, field, and method level annotations for describing
thread-safety policies. These annotations are relatively unintrusive and beneficial
to both users and maintainers. Users can see immediately whether a class is
thread-safe, and maintainers can see immediately whether thread-safety guarantees
must be preserved.

%prep
%autosetup -c -p1

rm -rf META-INF
sed -i 's/\r//' net/jcip/annotations/package.html

%build
install -d classes
find . -name '*.java' | xargs %javac -g -source 1.5 -target 1.5 -d classes
cd classes
%jar cf ../%{name}.jar net
cd ..
%javadoc -Xdoclint:none -d docs -source 1.5 net.jcip.annotations

%install
install -d $RPM_BUILD_ROOT%{_javadir}
mv %{name}.jar $RPM_BUILD_ROOT%{_javadir}/

install -d $RPM_BUILD_ROOT/%{_mavenpomdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap -a com.github.stephenc.jcip:jcip-annotations

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%{_javadocdir}/%{name}

%changelog
* Fri Dec 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 1-25.20060626
- Package init
